import { RecordModel } from "pocketbase"

import { managePbError } from "../../utils/pbTools"
import pbClient from "../pbClient"

export interface GroupSummaryLog {
  subscription: string
  content: string
  langfuseLink: string
}

export type GroupSummaryLogModel = GroupSummaryLog & RecordModel

/**
 * 创建群总结日志
 * @param log
 * @returns
 */
const create = async (log: GroupSummaryLog) =>
  managePbError<GroupSummaryLogModel>(() =>
    pbClient.collection("groupSummaryLog").create(log)
  )

const grpSumLog = {
  create,
}

export default grpSumLog
